Subject: [secdir] Secdir review of draft-ietf-v6ops-ipv6-roaming-analysis-05

From: "Joseph Salowey (jsalowey)" <[email-masked]>
Date: Tue, 30 Sep 2014 04:37:35 +0000

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

In summary I believe the document is ready.  It does make reference to security considerations IPV6-3GPP RFC 6459 which is appropriate. I have a few observations below.

1) There is a brief discussion of home routed an local breakout modes which determine how the user's traffic is routed.  This could potentially have privacy implications, however I do not think this is the subject of the document so I don't think additional privacy considerations are needed.  The one exception may be if an attacker can force the selection of one of these options.  This did not appear to be the case from the document, but I did not follow all the 3GPP specifics.  

2) Some of the failure modes  consume more network resources.  If these modes can be externally manipulated then it may be possible for a denial of service attack.  This did not appear to be the case from the document, but I did not follow all the 3GPP specifics.  

Cheers,

Joe